/* join.c Program to merge to split rom files */

#include <stdio.h>
#include <mem.h>
#include <fcntl.h>
#include <string.h>

  typedef unsigned char byte;

  byte  outbuffer[16384], evenbuffer[8192], oddbuffer[8192];

  int       OutFile;
  int       OddFile;
  int       EvenFile;

void main(int argc, char *argv[])
{
register int  i;

  if (argc < 4) 
     {
     printf("Usage: join evenfile oddfile outfile\n");
     exit(1);
     }

  if ((EvenFile = open(argv[1],O_BINARY | O_RDONLY)) < 0) 
     {
     printf("Couldn't open %s for reading\n",argv[1]);
     exit(1);
     }

  if ((OddFile = open(argv[2],O_BINARY | O_RDONLY)) < 0) 
     {
     printf("Couldn't open %s for reading\n",argv[2]);
     exit(1);
     }

  if ((OutFile = _creat(argv[3],0)) < 0 )
     {
     printf("Couldn't open %s for writing\n",argv[3]);
     exit(1);
     }

  read(EvenFile,evenbuffer,sizeof(evenbuffer));
  read(OddFile,oddbuffer,sizeof(oddbuffer));

    for (i=0; i<4096; i++)
        {
	outbuffer[i<<1] = evenbuffer[i];
        outbuffer[(i<<1)+1] = oddbuffer[i];
        }

  write(OutFile,outbuffer,8192);

  close(OutFile);
  close(OddFile);
  close(EvenFile);
}
